Bug 1192278 - packagekit cannot update 15.3-2 respin due to new product version
packagekit cannot update 15.3-2 respin due to new product version
Status: RESOLVED FIXED
: 1191245 1192312 1192332 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.3
Other Other
: P1 - Urgent : Critical (vote)
: ---
Assigned To: Lubos Kocman
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-02 22:51 UTC by Tejas Guruswamy
Modified: 2022-07-22 13:59 UTC (History)
11 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tejas Guruswamy 2021-11-02 22:51:05 UTC
Fresh install of 15.3-2 respin cannot be updated with packagekit.

Any attempt (Plasma Software Updater, pkcon update) gives an error

"installed product:Leap-15.3-2.x86_64 requires 'product(Leap) = 15.3-2' but this requirement cannot be provided."

> zypper se -s -t product

confirms that the current system is labelled as 15.3-2 and only 15.3-1 is available in the online repos.

Updates with zypp work (and dup offers to downgrade the product).

> rpm -q openSUSE-release
openSUSE-release-15.3-lp153.16.2.x86_64

Installation source was openSUSE-Leap-15.3-2-DVD-x86_64-Build20.8-Media.iso
Comment 1 Max Lin 2021-11-03 10:25:16 UTC
online repos path stays the same as *origin* 15.3 having,  it looks like new built 15.3 Respin ftp-tree hasn't push to there properly, http://download.opensuse.org/distribution/leap/15.3/repo still contains 15.3-1 data, maybe symlink is wrong? Lubos?
Comment 2 Lubos Kocman 2021-11-03 12:33:59 UTC
I'm looking into it. The publish was executed for both images and ftp-tree. I'll try to re-run it otherwise it will have to be investigated by autobuild team.
Comment 3 Lubos Kocman 2021-11-03 12:47:25 UTC
So it seems that this is above what I can do as ftp-stage has obsoleted version as well

lkocman@pontifex2:/srv/ftp/pub/opensuse/distribution/leap/15.3/repo/oss/x86_64> rpm -q --provides -p /srv/{ftp,ftp-stage}/pub/opensuse/distribution/leap/15.3/repo/oss/x86_64/openSUSE-release-15.3*.rpm | grep "product(Leap)"
product(Leap) = 15.3-1
product(Leap) = 15.3-1


I recall Adrian mentioned that there were two ftp-trees published on the OBS side. Perhaps we're publish the wrong one into ftp-stage.
Comment 4 Adrian Schröter 2021-11-03 13:28:05 UTC
no, we published an older -1 one for some reason (seems there was an internal release which never went to the outside).

However, stage has now the right -2 ftp tree.
Comment 5 Lubos Kocman 2021-11-03 14:23:29 UTC
I'm now running sync to prod. I'll have to most likely fix -Current symlinks afterwards.
Comment 6 Tejas Guruswamy 2021-11-03 15:45:19 UTC
I see the new FTP tree on d.o.o, thanks. product(Leap) = 15.3-2 is available from repo-oss for me now. This fixes boo#1191245 btw.

PackageKit is still having troubles (same error) though, I think because it is still picking up the older product in a higher version package from the updates repo:

> openSUSE-release
> 15.3-lp153.16.2 -> 15.3-lp153-149.1
>     Main Update Repository    

zypper dup also still offers to downgrade to this 15.3-1 package/product.

(Incidentally appstream-glib is also higher version in the 15.3-2 tree than updates and also causes a downgrade request.)
Comment 7 Lubos Kocman 2021-11-03 16:09:07 UTC
Current symlinks updated:
mirror@pontifex2:/srv/ftp/pub/opensuse/distribution/leap/15.3/iso> ls -la  | grep "\-Current"
lrwxrwxrwx 1 mirror stage         42 Nov  3 16:05 openSUSE-Leap-15.3-DVD-aarch64-Current.iso -> openSUSE-Leap-15.3-2-DVD-aarch64-Media.iso
lrwxrwxrwx 1 mirror stage         49 Nov  3 16:05 openSUSE-Leap-15.3-DVD-aarch64-Current.iso.sha256 -> openSUSE-Leap-15.3-2-DVD-aarch64-Media.iso.sha256
lrwxrwxrwx 1 mirror stage         53 Nov  3 16:05 openSUSE-Leap-15.3-DVD-aarch64-Current.iso.sha256.asc -> openSUSE-Leap-15.3-2-DVD-aarch64-Media.iso.sha256.asc
lrwxrwxrwx 1 mirror stage         42 Nov  3 16:05 openSUSE-Leap-15.3-DVD-ppc64le-Current.iso -> openSUSE-Leap-15.3-2-DVD-ppc64le-Media.iso
lrwxrwxrwx 1 mirror stage         49 Nov  3 16:05 openSUSE-Leap-15.3-DVD-ppc64le-Current.iso.sha256 -> openSUSE-Leap-15.3-2-DVD-ppc64le-Media.iso.sha256
lrwxrwxrwx 1 mirror stage         53 Nov  3 16:05 openSUSE-Leap-15.3-DVD-ppc64le-Current.iso.sha256.asc -> openSUSE-Leap-15.3-2-DVD-ppc64le-Media.iso.sha256.asc
lrwxrwxrwx 1 mirror stage         40 Nov  3 16:05 openSUSE-Leap-15.3-DVD-s390x-Current.iso -> openSUSE-Leap-15.3-2-DVD-s390x-Media.iso
lrwxrwxrwx 1 mirror stage         47 Nov  3 16:05 openSUSE-Leap-15.3-DVD-s390x-Current.iso.sha256 -> openSUSE-Leap-15.3-2-DVD-s390x-Media.iso.sha256
lrwxrwxrwx 1 mirror stage         51 Nov  3 16:05 openSUSE-Leap-15.3-DVD-s390x-Current.iso.sha256.asc -> openSUSE-Leap-15.3-2-DVD-s390x-Media.iso.sha256.asc
lrwxrwxrwx 1 mirror stage         41 Nov  3 16:05 openSUSE-Leap-15.3-DVD-x86_64-Current.iso -> openSUSE-Leap-15.3-2-DVD-x86_64-Media.iso
lrwxrwxrwx 1 mirror stage         48 Nov  3 16:05 openSUSE-Leap-15.3-DVD-x86_64-Current.iso.sha256 -> openSUSE-Leap-15.3-2-DVD-x86_64-Media.iso.sha256
lrwxrwxrwx 1 mirror stage         52 Nov  3 16:05 openSUSE-Leap-15.3-DVD-x86_64-Current.iso.sha256.asc -> openSUSE-Leap-15.3-2-DVD-x86_64-Media.iso.sha256.asc
Comment 8 Lubos Kocman 2021-11-03 16:09:43 UTC
*** Bug 1191245 has been marked as a duplicate of this bug. ***
Comment 9 Neil Rickert 2021-11-03 18:47:31 UTC
*** Bug 1192312 has been marked as a duplicate of this bug. ***
Comment 10 Andrei Borzenkov 2021-11-03 19:14:52 UTC
(In reply to Tejas Guruswamy from comment #6)
> I see the new FTP tree on d.o.o, thanks. product(Leap) = 15.3-2 is available
> from repo-oss for me now. 

Which now results in

The following product update will NOT be installed:
  openSUSE Leap 15.3  15.3-2  x86_64  Main Repository (OSS)  openSUSE

Because all openSUSE-release updates in update repository define product version 15.3-1 but are newer.

bor@leap15:~> zypper se -sx openSUSE-release
Loading repository data...
Reading installed packages...


S  | Name             | Type       | Version          | Arch   | Repository
---+------------------+------------+------------------+--------+-----------------------
i+ | openSUSE-release | package    | 15.3-lp153.149.1 | x86_64 | Main Update Repository
v  | openSUSE-release | package    | 15.3-lp153.146.1 | x86_64 | Main Update Repository
v  | openSUSE-release | package    | 15.3-lp153.143.2 | x86_64 | Main Update Repository
v  | openSUSE-release | package    | 15.3-lp153.143.1 | x86_64 | Main Update Repository
v  | openSUSE-release | package    | 15.3-lp153.16.2  | x86_64 | Main Repository (OSS)
bor@leap15:~> rpm -q --provides openSUSE-release | grep 'product(Leap)'
product(Leap) = 15.3-1
bor@leap15:~>

You need to push update with product 15.3-2 (and may be remove updates with wrong version number).
Comment 11 Andrei Borzenkov 2021-11-04 08:07:14 UTC
(In reply to Andrei Borzenkov from comment #10)
> 
> S  | Name             | Type       | Version          | Arch   | Repository
> ---+------------------+------------+------------------+--------+-------------
> ----------
> i+ | openSUSE-release | package    | 15.3-lp153.149.1 | x86_64 | Main Update
> Repository
> v  | openSUSE-release | package    | 15.3-lp153.146.1 | x86_64 | Main Update
> Repository
> v  | openSUSE-release | package    | 15.3-lp153.143.2 | x86_64 | Main Update
> Repository
> v  | openSUSE-release | package    | 15.3-lp153.143.1 | x86_64 | Main Update
> Repository
> v  | openSUSE-release | package    | 15.3-lp153.16.2  | x86_64 | Main
> Repository (OSS)


Looking on d.o.o:

openSUSE-release-15.3-lp153.16.2.x86_64.rpm
27-Oct-2021 12:06
openSUSE-release-15.3-lp153.138.1.x86_64.rpm
24-May-2021 11:42

How comes that *later* package built 5 months after initial version suddenly have much smaller version?
Comment 12 Marcus Meissner 2021-11-04 08:38:51 UTC
it comes from a different source.

I will queue an update for it to incr3ement the product provides to 15.3-2
Comment 13 Andrei Borzenkov 2021-11-04 08:46:51 UTC
(In reply to Marcus Meissner from comment #12)
> it comes from a different source.
> 

Then it something to fix in respin release process, otherwise it will resurface again every time.
Comment 14 Adrian Schröter 2021-11-04 09:21:15 UTC
the ftp tree build is not using the -release package from the respin project, so it provides wrong dependencies.

Also the build counter there is lower, since it is an independend instance and not a branch. So OBS has no way to track right build numbers.
Comment 15 Max Lin 2021-11-04 09:33:54 UTC
I can fix this in openSUSE:Leap:15.3:Update:Respin by set Release: `<CI_CNT>.<B_CNT> spec:lp153.2.<CI_CNT>.<B_CNT>`, lp153.2 should greater than lp153, but I don't know *Respin* is a one-time publish only or not?
Comment 16 Anna Minou 2021-11-04 10:04:07 UTC
*** Bug 1192332 has been marked as a duplicate of this bug. ***
Comment 17 Andrei Borzenkov 2021-11-04 11:01:46 UTC
(In reply to Max Lin from comment #15)
> I don't know *Respin* is a one-time publish only or not?

According to https://news.opensuse.org/2021/10/14/respin-of-os-leap-images-are-coming/

Users can expect a respin of Leap after any rebuild of SUSE Linux Enterprise
Comment 18 Sergey Mashkov 2021-11-04 18:23:26 UTC
Any news?
Comment 19 Adrian Schröter 2021-11-05 08:10:43 UTC
@Max a rerelease and republish will update the tree.
Comment 20 Max Lin 2021-11-05 08:28:25 UTC
There is a typo above, lp153.2 isn't greater than lp153, I meant `lp1532`, so if buildnumber has a prefix lp1532 that would mean the source package got a rebuild for 15.3 QU1 in respin project. I've set Release: `<CI_CNT>.<B_CNT> spec:lp1532.<CI_CNT>.<B_CNT>` in 15.3:Update:Respin and retriggered packages build. I'm waiting for a new product build to be finished.

(In reply to Adrian Schröter from comment #19)
> @Max a rerelease and republish will update the tree.

Yes, but Lubos is considering this is a one off, I've talked to him yesterday about another publish for fix these post-respin issue.
Comment 21 Swamp Workflow Management 2021-11-07 17:15:54 UTC
openSUSE-RU-2021:1457-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1192278
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    openSUSE-Addon-NonOss-release-15.3-lp153.152.1, openSUSE-release-15.3-lp153.152.1
Comment 22 Retired Feline 2021-11-07 23:06:40 UTC
I'm not sure, but this might be another symptom of this bug. It keeps reinstalling the package openSUSE-release but the install doesn't take.

$ sudo zypper up -y
...
The following product is going to be upgraded:
  openSUSE Leap 15.3  15.3-1 -> 15.3-2

The following package is going to be reinstalled:
  openSUSE-release

1 package to reinstall.
Overall download size: 0 B. Already cached: 687.3 KiB. No additional space will
be used or freed after the operation.
Continue? [y/n/v/...? shows all options] (y): y
In cache openSUSE-release-15.3-lp153.152.1.x86_64.rpm
                                           (1/1), 687.3 KiB (233.2 KiB unpacked)

Checking for file conflicts: .............................................[done]
(1/1) Installing: openSUSE-release-15.3-lp153.152.1.x86_64 ...............[done]
Executing %posttrans scripts .............................................[done]

But when I run the command again, it does the same thing again.
Comment 23 Neil Rickert 2021-11-08 00:32:39 UTC
Replying to comment #22

When I ran "zypper up", it installed updates for
openSUSE-release openSUSE-release-ftp

When I run again, it does not attempt to install again.  But it still says:
The following product update will NOT be installed:
  "openSUSE Leap 15.3"
Comment 24 Andrei Borzenkov 2021-11-08 05:46:27 UTC
(In reply to Neil Rickert from comment #23)
> Replying to comment #22
> 
> When I ran "zypper up", it installed updates for
> openSUSE-release openSUSE-release-ftp
> 
> When I run again, it does not attempt to install again. 

It does it for me over and over again.

> But it still says:
> The following product update will NOT be installed:
>   "openSUSE Leap 15.3"


I confirm

bor@leap15:~> sudo zypper patch
Retrieving repository 'Main Update Repository' metadata ..................[done]
Building repository 'Main Update Repository' cache .......................[done]
Retrieving repository 'Update repository with updates from SUSE Linux Ente[done]
Building repository 'Update repository with updates from SUSE Linux Enterp[done]
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 4 items are locked and will not be changed by any action:
 Available:
  kernel-firmware pavucontrol ucode-amd ucode-intel

The following 3 packages are going to be upgraded:
  openSUSE-release openSUSE-release-dvd openSUSE-release-ftp

The following product is going to be upgraded:
  openSUSE Leap 15.3  15.3-1 -> 15.3-2

The following NEW patch is going to be installed:
  openSUSE-2021-1457

3 packages to upgrade.
Overall download size: 703.8 KiB. Already cached: 0 B. After the operation,
additional 1.5 KiB will be used.
Continue? [y/n/v/...? shows all options] (y): 
Retrieving package openSUSE-release-ftp-15.3-lp153.152.1.x86_64
                                           (1/3),   8.3 KiB (   66   B unpacked)
Retrieving delta: ./x86_64/openSUSE-release-ftp-15.3-lp153.149.1_lp153.152.1.x86_64.drpm, 4.0 KiB
Retrieving: openSUSE-release-ftp-15.3-lp153.149.1_lp153.152.1.x86_64.drpm [done]
Applying delta: ./openSUSE-release-ftp-15.3-lp153.149.1_lp153.152.1.x86_64[done]
Retrieving package openSUSE-release-dvd-15.3-lp153.152.1.x86_64
                                           (2/3),   8.3 KiB (   66   B unpacked)
Retrieving delta: ./x86_64/openSUSE-release-dvd-15.3-lp153.149.1_lp153.152.1.x86_64.drpm, 4.0 KiB
Retrieving: openSUSE-release-dvd-15.3-lp153.149.1_lp153.152.1.x86_64.drpm [done]
Applying delta: ./openSUSE-release-dvd-15.3-lp153.149.1_lp153.152.1.x86_64[done]
Retrieving package openSUSE-release-15.3-lp153.152.1.x86_64
                                           (3/3), 687.3 KiB (233.2 KiB unpacked)
Retrieving: openSUSE-release-15.3-lp153.152.1.x86_64.rpm .................[done]

Checking for file conflicts: .............................................[done]
(1/3) Installing: openSUSE-release-ftp-15.3-lp153.152.1.x86_64 ...........[done]
(2/3) Installing: openSUSE-release-dvd-15.3-lp153.152.1.x86_64 ...........[done]
(3/3) Installing: openSUSE-release-15.3-lp153.152.1.x86_64 ...............[done]
Executing %posttrans scripts .............................................[done]
 
bor@leap15:~> sudo zypper patch
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 4 items are locked and will not be changed by any action:
 Available:
  kernel-firmware pavucontrol ucode-amd ucode-intel
Nothing to do.
bor@leap15:~> sudo zypper up
Loading repository data...
Reading installed packages...

The following 4 items are locked and will not be changed by any action:
 Available:
  kernel-firmware pavucontrol ucode-amd ucode-intel

The following product is going to be upgraded:
  openSUSE Leap 15.3  15.3-1 -> 15.3-2

The following package is going to be reinstalled:
  openSUSE-release

1 package to reinstall.
Overall download size: 687.3 KiB. Already cached: 0 B. No additional space will
be used or freed after the operation.
Continue? [y/n/v/...? shows all options] (y): 
Retrieving package openSUSE-release-15.3-lp153.152.1.x86_64
                                           (1/1), 687.3 KiB (233.2 KiB unpacked)
Retrieving: openSUSE-release-15.3-lp153.152.1.x86_64.rpm ...[done (605.3 KiB/s)]

Checking for file conflicts: .............................................[done]
(1/1) Installing: openSUSE-release-15.3-lp153.152.1.x86_64 ...............[done]
Executing %posttrans scripts .............................................[done]
bor@leap15:~> sudo zypper up
Loading repository data...
Reading installed packages...

The following 4 items are locked and will not be changed by any action:
 Available:
  kernel-firmware pavucontrol ucode-amd ucode-intel

The following product is going to be upgraded:
  openSUSE Leap 15.3  15.3-1 -> 15.3-2

The following package is going to be reinstalled:
  openSUSE-release

1 package to reinstall.
Overall download size: 687.3 KiB. Already cached: 0 B. No additional space will
be used or freed after the operation.
Continue? [y/n/v/...? shows all options] (y): 
Retrieving package openSUSE-release-15.3-lp153.152.1.x86_64
                                           (1/1), 687.3 KiB (233.2 KiB unpacked)
Retrieving: openSUSE-release-15.3-lp153.152.1.x86_64.rpm .......[done (969 B/s)]

Checking for file conflicts: .............................................[done]
(1/1) Installing: openSUSE-release-15.3-lp153.152.1.x86_64 ...............[done]
Executing %posttrans scripts .............................................[done]
bor@leap15:~>
Comment 25 Retired Feline 2021-11-08 07:09:33 UTC
(In reply to Neil Rickert from comment #23)
> Replying to comment #22
> 
> When I ran "zypper up", it installed updates for
> openSUSE-release openSUSE-release-ftp
> 
> When I run again, it does not attempt to install again.  But it still says:
> The following product update will NOT be installed:
>   "openSUSE Leap 15.3"

But I can confirm that you are not imagining things. At some stage in my update attempts zypper went into such a state, but settled into the one I have posted. Not with the -ftp repo, I think it might have been the -dvd repo.
Comment 26 Andreas Vetter 2021-11-08 08:42:15 UTC
Weird: I did zypper patch und zypper up.

When I do a zypper dup it wants to downgrade a lot of packages, basically ignoring all updates:

# zypper dup
Loading repository data...
Reading installed packages...
Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
Computing distribution upgrade...

The following 627 packages are going to be downgraded:
  MozillaFirefox MozillaFirefox-translations-common MozillaThunderbird MozillaThunderbird-translations-common NetworkManager
  NetworkManager-lang PackageKit PackageKit-backend-zypp PackageKit-gstreamer-plugin PackageKit-gtk3-module PackageKit-lang
  SUSEConnect apparmor-abstractions apparmor-docs apparmor-parser apparmor-parser-lang apparmor-profiles apparmor-utils
  apparmor-utils-lang augeas augeas-lenses autoyast2 autoyast2-installation bash bash-completion bash-completion-devel bash-doc
  bash-lang bind-utils binutils bluez busybox-static ca-certificates-mozilla coreutils coreutils-doc coreutils-lang cpio
  cpio-lang cpio-mt cpp cpupower cron cronie curl dbus-1 dbus-1-x11 device-mapper dnsmasq dosfstools dracut efibootmgr emacs
  emacs-info emacs-nox etags exo-data exo-lang exo-tools file file-magic flatpak fonttosfnt gcc ghostscript ghostscript-x11 git
  git-core git-cvs git-email git-gui git-svn gitk glibc glibc-32bit glibc-devel glibc-extra glibc-lang glibc-locale
  glibc-locale-base gnome-packagekit gnome-packagekit-lang grafana graphviz graphviz-gd graphviz-gnome graphviz-plugins-core
  grilo-lang grub2 grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin grub2-x86_64-efi gstreamer-plugins-good
  gstreamer-plugins-good-gtk gstreamer-plugins-good-lang gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
  gtk3-immodule-thai gtk3-immodule-tigrigna gtk3-immodule-vietnamese gtk3-lang gtk3-schema gtk3-tools hwdata ibus
  ibus-dict-emoji ibus-gtk ibus-gtk3 ibus-lang insserv-compat iproute2 iproute2-arpd iscsiuio java-11-openjdk
  java-11-openjdk-headless kdump kglobalaccel5 kio-extras5 kio-extras5-lang kmod kmod-bash-completion kpartx krb5 krb5-32bit
  krb5-client krb5-server less libIlmImf-2_2-23 libKF5GlobalAccel5 libKF5GlobalAccel5-lang libKF5GlobalAccelPrivate5 libOpenCL1
  libQt5Svg5 libaom0 libapparmor1 libass9 libaugeas0 libbind9-1600 libblkid1 libblkid1-32bit libbluetooth3 libcares2 libcbor0
  libcpupower0 libcreaterepo_c0 libcroco-0_6-3 libctf-nobfd0 libctf0 libcurl4 libcurl4-32bit libdbus-1-3 libdbus-1-3-32bit
  libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0 libdcerpc0-32bit libdevmapper-event1_03 libdevmapper1_03
  libdevmapper1_03-32bit libdjvulibre21 libdns1605 libefivar1 libesmtp libexo-2-0 libfdisk1 libflatpak0 libfreebl3
  libfreebl3-32bit libfreebl3-hmac libgd3 libgd3-32bit libgphoto2-6 libgphoto2-6-32bit libgphoto2-6-lang libgraphviz6
  libgrilo-0_3-0 libgrlnet-0_3-0 libgrlpls-0_3-0 libgtk-3-0 libhivex0 libibus-1_0-5 libirs1601 libisc1606 libisccc1600
  libisccfg1600 libjavascriptcoregtk-4_0-18 libkioarchive5 libkmod2 libldap-2_4-2 libldap-2_4-2-32bit libldap-data libltdl7
  libltdl7-32bit liblvm2cmd2_03 libmagic1 libmagic1-32bit libmount1 libmount1-32bit libmpath0 libmspack0 libncurses6
  libncurses6-32bit libndctl6 libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0 libndr-nbt0-32bit libndr-standard0
  libndr-standard0-32bit libndr1 libndr1-32bit libnetapi0 libnetapi0-32bit libnetcontrol0 libnm0 libns1604 libntfs-3g87 libnuma1
  libopeniscsiusr0_2_0 libopenssl-1_1-devel libopenssl1_0_0 libopenssl1_1 libopenssl1_1-32bit libopts25 libpackagekit-glib2-18
  libpcre1 libpcre1-32bit libpcre2-16-0 libpcre2-8-0 libpcrecpp0 libpmem1 libpq5 libprotobuf-lite20 libprotobuf20 libpurple
  libpurple-lang libpurple-tcl libpython2_7-1_0 libpython3_6m1_0 librados2 librbd1 libreadline7 libreoffice libreoffice-base
  libreoffice-calc libreoffice-draw libreoffice-filters-optional libreoffice-icon-themes libreoffice-impress libreoffice-l10n-de
  libreoffice-l10n-en libreoffice-mailmerge libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
  libsamba-credentials0 libsamba-credentials0-32bit libsamba-errors0 libsamba-errors0-32bit libsamba-hostconfig0
  libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit libsamba-policy0-python3 libsamba-util0
  libsamba-util0-32bit libsamdb0 libsamdb0-32bit libsmartcols1 libsmbclient0 libsmbconf0 libsmbconf0-32bit libsmbldap2
  libsmbldap2-32bit libsndfile1 libsndfile1-32bit libsoftokn3 libsoftokn3-32bit libsoftokn3-hmac libsolv-tools libspectre1
  libsqlite3-0 libsqlite3-0-32bit libstdc++-devel libsystemd0 libsystemd0-32bit libtevent-util0 libtevent-util0-32bit libtpms0
  libudev1 libudev1-32bit libuuid1 libuuid1-32bit libvirt-bash-completion libvirt-client libvirt-daemon
  libvirt-daemon-config-network libvirt-daemon-driver-interface libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
  libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu libvirt-daemon-driver-secret libvirt-daemon-driver-storage
  libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-gluster
  libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-iscsi-direct libvirt-daemon-driver-storage-logical
  libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi libvirt-daemon-qemu
  libvirt-libs libwbclient0 libwbclient0-32bit libwebkit2gtk-4_0-37 libwebkit2gtk3-lang libyui-ncurses-pkg15 libyui-ncurses15
  libyui-qt-graph15 libyui-qt-pkg15 libyui-qt15 libyui15 libzck1 libzypp lvm2 man-pages mariadb mariadb-client
  mariadb-errormessages mdadm mozilla-nspr mozilla-nspr-32bit mozilla-nss mozilla-nss-32bit mozilla-nss-certs
  mozilla-nss-certs-32bit multipath-tools ncurses-utils netcfg nscd ntfs-3g ntfsprogs numactl obs-service-obs_scm
  obs-service-obs_scm-common obs-service-tar_scm open-iscsi openldap2-client openssl-1_1 pam pam-32bit pam-config pam-doc
  perl-Bootloader perl-Win-Hivex perl-apparmor php7 php7-ctype php7-dom php7-iconv php7-json php7-mbstring php7-mysql
  php7-openssl php7-pdo php7-phar php7-sqlite php7-tokenizer php7-xmlreader php7-xmlwriter php7-zip php7-zlib pidgin pmdk
  polkit-default-privs postfix postfix-ldap psqlODBC publicsuffix python python-base python-curses python-xml python2-asn1crypto
  python2-cffi python2-cryptography python2-dbus-python python2-pyasn1 python2-pycparser python2-rpm python3 python3-apparmor
  python3-asn1crypto python3-base python3-bind python3-cffi python3-createrepo_c python3-cryptography python3-cupshelpers
  python3-curses python3-dbm python3-dbus-python python3-pyasn1 python3-pycparser python3-rpm python3-solv python3-tk qemu
  qemu-audio-spice qemu-block-curl qemu-block-rbd qemu-block-ssh qemu-chardev-baum qemu-chardev-spice qemu-hw-display-qxl
  qemu-hw-display-virtio-gpu qemu-hw-display-virtio-gpu-pci qemu-hw-display-virtio-vga qemu-hw-s390x-virtio-gpu-ccw
  qemu-hw-usb-redirect qemu-hw-usb-smartcard qemu-ipxe qemu-ivshmem-tools qemu-ksm qemu-kvm qemu-linux-user qemu-microvm
  qemu-seabios qemu-sgabios qemu-skiboot qemu-tools qemu-ui-curses qemu-ui-gtk qemu-ui-opengl qemu-ui-spice-app
  qemu-ui-spice-core qemu-vgabios qemu-x86 readline-doc rpm rpm-32bit rpm-build rpm-config-SUSE rsync ruby-solv samba
  samba-ad-dc samba-client samba-client-32bit samba-dsdb-modules samba-libs samba-libs-32bit samba-libs-python3 samba-python3
  samba-winbind samba-winbind-32bit shim supportutils suse-module-tools sysconfig sysconfig-netconfig system-config-printer
  system-config-printer-applet system-config-printer-common system-config-printer-common-lang system-config-printer-dbus-service
  system-user-flatpak systemd systemd-32bit systemd-container systemd-default-settings
  systemd-default-settings-branding-openSUSE systemd-doc systemd-lang systemd-network systemd-rpm-macros systemd-sysvinit
  terminfo terminfo-base terminfo-iterm terminfo-screen texlive-eqnarray texlive-eqnarray-doc texlive-es-tex-faq texlive-eso-pic
  texlive-eso-pic-doc texlive-esvect texlive-esvect-doc texlive-esvect-fonts texlive-etdipa texlive-etex texlive-etex-doc
  texlive-etex-pkg texlive-etex-pkg-doc texlive-etextools texlive-etextools-doc texlive-etoolbox texlive-etoolbox-de
  texlive-etoolbox-doc texlive-euenc texlive-euenc-doc texlive-euler texlive-euler-doc texlive-euro texlive-euro-ce
  texlive-euro-ce-doc texlive-euro-doc texlive-eurosym texlive-eurosym-doc texlive-eurosym-fonts texlive-everyhook
  texlive-everyhook-doc texlive-everypage texlive-everypage-doc texlive-expressg texlive-expressg-doc texlive-extarrows
  texlive-extarrows-doc texlive-exteps texlive-exteps-doc texlive-extpfeil texlive-extpfeil-doc texlive-extsizes
  texlive-extsizes-doc texlive-facture texlive-facture-doc texlive-faktor texlive-faktor-doc texlive-fancybox
  texlive-fancybox-doc texlive-fancyhdr texlive-fancyhdr-doc texlive-fancyhdr-it texlive-fancylabel texlive-fancylabel-doc
  texlive-fancyref texlive-fancyref-doc texlive-fancyvrb texlive-fancyvrb-doc texlive-featpost texlive-featpost-doc
  texlive-fenixpar texlive-fenixpar-doc texlive-feupphdteses texlive-feupphdteses-doc texlive-feynmf texlive-feynmf-doc
  texlive-feynmp-auto texlive-feynmp-auto-doc texlive-fifinddo-info texlive-fifinddo-info-doc texlive-figflow
  texlive-figflow-doc texlive-filecontents texlive-filecontents-doc texlive-filehook texlive-filehook-doc texlive-finbib
  texlive-findhyph texlive-findhyph-doc texlive-finstrut texlive-finstrut-doc texlive-first-latex-doc texlive-fix2col
  texlive-fix2col-doc texlive-fixlatvian texlive-fixlatvian-doc timezone timezone-java typelib-1_0-Flatpak-1_0
  typelib-1_0-Gtk-3_0 typelib-1_0-IBus-1_0 typelib-1_0-NM-1_0 typelib-1_0-PackageKitGlib-1_0 udev udev-configure-printer
  usbutils util-linux util-linux-lang util-linux-systemd virt-install virt-manager virt-manager-common virt-what
  webkit2gtk-4_0-injected-bundles xen-libs xfsprogs xkeyboard-config xkeyboard-config-lang xorg-x11-fonts
  xorg-x11-fonts-converted xorg-x11-fonts-core xorg-x11-fonts-legacy xorg-x11-server xorg-x11-server-extra
  xorg-x11-server-wayland yast2 yast2-add-on yast2-apparmor yast2-auth-client yast2-bootloader yast2-country yast2-country-data
  yast2-installation yast2-logs yast2-network yast2-nfs-client yast2-nfs-common yast2-ntp-client yast2-packager yast2-proxy
  yast2-samba-client yast2-schema yast2-security yast2-storage-ng yast2-theme yast2-update yast2-users zypper zypper-aptitude
  zypper-log zypper-needs-restarting

The following NEW package is going to be installed:
  yast2-qt-branding-openSUSE

The following package is going to be REMOVED:
  perl-Git

627 packages to downgrade, 1 new, 1 to remove.
Overall download size: 786.3 MiB. Already cached: 0 B. After the operation, additional 25.3 MiB will be used.
Continue? [y/n/v/...? shows all options] (y): n
wpyc055:~ #
Comment 27 Andreas Vetter 2021-11-08 08:53:27 UTC
Sorry, please ignore the noise. 
I managed to remove the sle-update part of the repos.
My fault!
Comment 28 Retired Feline 2021-11-08 09:46:32 UTC
Seems to have been sorted out with the arrival and installation of 15.3-lp1532.19.4

Fixed as far as I'm concerned.
Comment 29 Wolfgang Bauer 2021-11-09 10:34:18 UTC
(In reply to Andreas Vetter from comment #27)
> Sorry, please ignore the noise. 
> I managed to remove the sle-update part of the repos.
> My fault!

This happened on my system as well.

It's because the corresponding repo definitions were included in openSUSE-release-15.3-lp153, but not in openSUSE-release-15.3-lp1532.

In particular, these files are missing from openSUSE-release-15.3-lp1532 compared to openSUSE-release-15.3-lp153:
/etc/zypp/repos.d/repo-backports-debug-update.repo
/etc/zypp/repos.d/repo-backports-update.repo
/etc/zypp/repos.d/repo-sle-debug-update.repo
/etc/zypp/repos.d/repo-sle-update.repo
Comment 30 Andreas Vetter 2021-11-09 10:50:30 UTC
(In reply to Wolfgang Bauer from comment #29)
> (In reply to Andreas Vetter from comment #27)
> > Sorry, please ignore the noise. 
> > I managed to remove the sle-update part of the repos.
> > My fault!
> 
> This happened on my system as well.
> 
> It's because the corresponding repo definitions were included in
> openSUSE-release-15.3-lp153, but not in openSUSE-release-15.3-lp1532.
> 
> In particular, these files are missing from openSUSE-release-15.3-lp1532
> compared to openSUSE-release-15.3-lp153:
> /etc/zypp/repos.d/repo-backports-debug-update.repo
> /etc/zypp/repos.d/repo-backports-update.repo
> /etc/zypp/repos.d/repo-sle-debug-update.repo
> /etc/zypp/repos.d/repo-sle-update.repo

Thank you, that explains why only some machines are affected. 
The others have different file names for the repos, because I copied them from a master.
Comment 31 Wolfgang Bauer 2021-11-09 11:42:04 UTC
(In reply to Wolfgang Bauer from comment #29)
> (In reply to Andreas Vetter from comment #27)
> > Sorry, please ignore the noise. 
> > I managed to remove the sle-update part of the repos.
> > My fault!
> 
> This happened on my system as well.
> 
> It's because the corresponding repo definitions were included in
> openSUSE-release-15.3-lp153, but not in openSUSE-release-15.3-lp1532.
> 
> In particular, these files are missing from openSUSE-release-15.3-lp1532
> compared to openSUSE-release-15.3-lp153:
> /etc/zypp/repos.d/repo-backports-debug-update.repo
> /etc/zypp/repos.d/repo-backports-update.repo
> /etc/zypp/repos.d/repo-sle-debug-update.repo
> /etc/zypp/repos.d/repo-sle-update.repo

Meanwhile there is a new update to openSUSE-release-15.3-lp1532.157.1 available though (in the update repo, the previous 15.3-lp1532.19.4 was from the main repo), that includes these files again.

So this problem should be fixed.
Comment 32 Swamp Workflow Management 2021-11-09 14:16:39 UTC
openSUSE-RU-2021:1464-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1192278
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    openSUSE-Addon-NonOss-release-15.3-lp1532.157.1, openSUSE-release-15.3-lp1532.157.1
Comment 33 Lubos Kocman 2022-07-22 13:59:02 UTC
Marking as resolved per last two comments. Please reopen this bug if the issue persist.